import java.util.Random;

/**
 *
 * CandyHeart is a simple class designed to simulate 
 * the traditional Valentine's Day confection
 *
 * @author Nicholas R. Howe, modified by Sara Sheehan
 * @version February 1, 2016
 *
 */
public class CandyHeart {
	
    /** Size of candy */
    private static final int HALFLINE = 4;

    /** Default phrases */
    protected static final String[] STOCK = {"Be Mine","Luv U","True Love",
                                           "So True","Hot Stuff","You & Me",
                                           "Always","Hugs"};

    /** Phrase on this candy */
    private String label; 

    /** Default constructor: picks a stock label */
    public CandyHeart() {
    		Random random = new Random();
        this.label = STOCK[random.nextInt(STOCK.length)];
    }

    /** Constructor: allows choice of custom label */
    public CandyHeart(String label) {
        this.label = label;
    }

    /** Copy constructor: makes a deep copy */
    public CandyHeart(CandyHeart original) {
        this(original.label);  // use constructor above with original's label
    }

    /** Accessor: reports label */
    public String getLabel() {
        return this.label;
    }

    /** Manipulator: changes label */
    public void setLabel(String label) {
        this.label = label;
    }

    /** Prints out the candy label on one or two lines */
    public void printLabel() {
        String[] lines = this.label.split(" ",2);  // split on first space
        for (int i = 0; i < lines.length; i++) {
            printLine(lines[i]);
        }
    }

    /** Prints out one line of the candy, with padding 
     * @param the line to print
     */
    private void printLine(String line) {
        // note inconsistency in getting length of a String vs. an array!
        for (int i = 0; i < HALFLINE-line.length()/2; i++) {
            System.out.print(" ");
        }
        System.out.println(line);
    }
}
